package com.seeyon.apps.esign.po.flow;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.seeyon.apps.esign.po.org.OrgInitiator;
import com.seeyon.apps.esign.po.personal.PsnInitiator;

import java.util.List;

@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class SignFlowInitiator {

    private OrgInitiator orgInitiator;
    private PsnInitiator psnInitiator;
    private List<String> initialRemarks;

    public PsnInitiator getPsnInitiator() {
        return psnInitiator;
    }

    public void setPsnInitiator(PsnInitiator psnInitiator) {
        this.psnInitiator = psnInitiator;
    }

    public List<String> getInitialRemarks() {
        return initialRemarks;
    }

    public void setInitialRemarks(List<String> initialRemarks) {
        this.initialRemarks = initialRemarks;
    }

    public OrgInitiator getOrgInitiator() {
        return orgInitiator;
    }

    public void setOrgInitiator(OrgInitiator orgInitiator) {
        this.orgInitiator = orgInitiator;
    }
}
